Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Message.SendingStatus

    java.lang.Object
      java.lang.Enum<Message.SendingStatus>
          com.skype.api.Message.SendingStatus

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Message.SendingStatus>

Enclosing class:
  Message

    public static enum Message.SendingStatus

extends java.lang.Enum<Message.SendingStatus>
implements EnumConverting

Enum Constant Summary
`FAILED_TO_SEND` Message could not be delivered (for SMS this reflects the actual SMS, not the chat message)
`SENDING` Message has not been delivered to at least one of the participants
`SENT` Message has been delivered to at least one other participant

Field Summary
`static int` | `FAILED_TO_SEND_VALUE`
`static int` | `SENDING_VALUE`
`static int` | `SENT_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Message.SendingStatus` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Message.SendingStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Message.SendingStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SENDING

    public static final Message.SendingStatus SENDING

  Message has not been delivered to at least one of the participants

### SENT

    public static final Message.SendingStatus SENT

  Message has been delivered to at least one other participant

### FAILED_TO_SEND

    public static final Message.SendingStatus FAILED_TO_SEND

  Message could not be delivered (for SMS this reflects the actual SMS, not the chat message)

Field Detail

### SENDING_VALUE

    public static final int SENDING_VALUE

See Also:
  Constant Field Values

### SENT_VALUE

    public static final int SENT_VALUE

See Also:
  Constant Field Values

### FAILED_TO_SEND_VALUE

    public static final int FAILED_TO_SEND_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Message.SendingStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Message.SendingStatus c : Message.SendingStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Message.SendingStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Message.SendingStatus get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.